Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-537

specifying a jdk < 1.5 for project fails

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Blocker
    • Resolution: Fixed
    • Component/s: maven-plugin
    • Labels:
      None
    • Environment:
      Platform: PC, OS: Windows XP
    • Similar Issues:

      Description

      Reference Issue 501
      Reference Issue 512

      If project specifies a jdk earlier than 1.5 Hudson will fail due to loading
      classes with an incompatible major/minor version.

      started
      Using env variables:

      {JOB_NAME=com.zazoo.ic.components:aspire_charting_client, BUILD_NUMBER=17, HUDSON_HOME1=c:\h, BUILD_TAG=hudson-com.zazoo.ic.components:aspire_charting_client-17, JAVA_HOME=C:\IBM\WebSphere\AppServer\java, PATH+JDK=C:\IBM\WebSphere\AppServer\java\bin, BUILD_ID=2007-04-27_10-20-06, EXECUTOR_NUMBER=1}

      $ C:\IBM\WebSphere\AppServer\java/bin/java -cp "C:\Program Files\Apache Software
      Foundation\Tomcat
      6.0\webapps\hudson\WEB-INF\lib\maven-agent-1.105-SNAPSHOT.jar;C:\dev\maven-2.0.6WAS\boot\classworlds-1.1.jar"
      hudson.maven.agent.Main C:\dev\maven-2.0.6WAS "C:\Program Files\Apache Software
      Foundation\Tomcat 6.0\webapps\hudson\WEB-INF\lib\remoting-1.105-SNAPSHOT.jar"
      "C:\Program Files\Apache Software Foundation\Tomcat
      6.0\webapps\hudson\WEB-INF\lib\maven-interceptor-1.105-SNAPSHOT.jar"
      The java class could not be loaded. java.lang.UnsupportedClassVersionError:
      hudson/maven/agent/Main (Unsupported major.minor version 49.0)
      FATAL: unexpected stream termination
      java.io.EOFException: unexpected stream termination
      at hudson.remoting.Channel.<init>(Channel.java:142)
      at hudson.Launcher$LocalLauncher$1.<init>(Launcher.java:183)
      at hudson.Launcher$LocalLauncher.launchChannel(Launcher.java:182)
      at hudson.maven.MavenBuild$RunnerImpl.newProcess(MavenBuild.java:288)
      at hudson.maven.ProcessCache.get(ProcessCache.java:166)
      at hudson.maven.MavenBuild$RunnerImpl.doRun(MavenBuild.java:257)
      at hudson.model.AbstractBuild$AbstractRunner.run(AbstractBuild.java:121)
      at hudson.model.Run.run(Run.java:559)
      at hudson.maven.MavenBuild.run(MavenBuild.java:127)
      at hudson.model.Executor.run(Executor.java:59)

        Attachments

          Activity

          veejer64 veejer64 created issue -
          Hide
          kohsuke Kohsuke Kawaguchi added a comment -

          In 1.106, this is reported with a better error message.

          The native m2 support requires Java5, and I don't see any easy way around it.

          Show
          kohsuke Kohsuke Kawaguchi added a comment - In 1.106, this is reported with a better error message. The native m2 support requires Java5, and I don't see any easy way around it.
          kohsuke Kohsuke Kawaguchi made changes -
          Field Original Value New Value
          Resolution Fixed [ 1 ]
          Status Open [ 1 ] Resolved [ 5 ]
          abayer Andrew Bayer made changes -
          Status Resolved [ 5 ] Closed [ 6 ]
          ircbot Jenkins IRC Bot made changes -
          Component/s maven-plugin [ 16033 ]
          Component/s maven2 [ 15487 ]
          rtyler R. Tyler Croy made changes -
          Workflow JNJira [ 130610 ] JNJira + In-Review [ 199964 ]

            People

            Assignee:
            kohsuke Kohsuke Kawaguchi
            Reporter:
            veejer64 veejer64
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: